# CLI for First Data conversion rates

## Requirements
* python3 with modules `PyPDF3`, `appdirs`, `mechanize`

### Caveat:
Currently [python-mechanize](https://github.com/python-mechanize/mechanize) is not available via pip3.
Therefore, you need to clone mechanize and symlink its mechanize/ directory here.

## Usage:
`python3 crawl.py [-t {VISA,MC}] [-g ISO_DATE] [-r] {-i | CURRENCY AMOUNT}`

### OPTIONS

#### `AMOUNT` 
This must be a number.
#### `CURRENCY` 
This must be the three-letter currency abbreviation, case is irrelevant.

#### `-t`, `--card-type`
Choose the card type (MasterCard or VISA)

#### `-g`, `--fetch-date`
Date to get values for (default: yesterday, Friday on Sat-Mon)'
Format: ISO date

#### `-r`, `--direction`
Reverse conversion direction (EUR to specified currency, instead of specified currency to EUR)
#### `-i`, `--interactive`

Calculate interactively on stdin


##### `q`
 Quit.
##### `AMOUNT CURRENCY`
 Convert AMOUNT euros to CURRENCY.
##### `CURRENCY AMOUNT`
 Convert AMOUNT CURRENCY to euros.



